# $Revision: 1.236.2.2 $, $Date: 2011/10/25 09:09:58 $
#
# Conditinal build:
%bcond_without	apidocs		# disable API documentation
#
Summary:	Nautilus is a file manager for the GNOME desktop environment
Summary(pl.UTF-8):	Nautilus - powłoka GNOME i zarządca plików
Summary(pt_BR.UTF-8):	Nautilus é um gerenciador de arquivos para o GNOME
Name:		nautilus
Version:	2.32.2.1
Release:	4
License:	GPL v2+
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/nautilus/2.32/%{name}-%{version}.tar.bz2
# Source0-md5:	f75f387d1b439079967581d876009426
Source1:	%{name}.PLD.readme
Patch0:		%{name}-build-fix.patch
URL:		http://www.gnome.org/projects/nautilus/
BuildRequires:	GConf2-devel >= 2.24.0
BuildRequires:	autoconf >= 2.54
BuildRequires:	automake >= 1:1.9
BuildRequires:	docbook-dtd412-xml
BuildRequires:	exempi-devel >= 1.99.5
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.26.0
BuildRequires:	gnome-desktop-devel >= 2.30.0
BuildRequires:	gobject-introspection-devel >= 0.6.4
BuildRequires:	gtk+2-devel >= 2:2.22.0
BuildRequires:	gtk-doc >= 1.8
BuildRequires:	intltool >= 0.40.1
BuildRequires:	libexif-devel >= 1:0.6.13
BuildRequires:	libselinux-devel
BuildRequires:	libtool
BuildRequires:	libunique-devel
BuildRequires:	libxml2-devel >= 1:2.6.31
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.311
# libegg
BuildRequires:	xorg-lib-libSM-devel
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires(post,postun):	shared-mime-info
Requires(post,preun):	GConf2
Requires:	%{name}-libs = %{version}-%{release}
Requires:	glib2 >= 1:2.26.0
Requires:	gnome-icon-theme >= 2.26.0
Requires:	gvfs >= 1.6.0
Provides:	gnome-volume-manager
Obsoletes:	eel
Obsoletes:	gnome-volume-manager
Obsoletes:	gstreamer-player-nautilus
Obsoletes:	nautilus-gtkhtml
Obsoletes:	nautilus-media
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Nautilus integrates access to files, applications, media,
Internet-based resources and the Web. Nautilus delivers a dynamic and
rich user experience. Nautilus is an free software project developed
under the GNU General Public License and is a core component of the
GNOME desktop project.

%description -l pl.UTF-8
GNU Nautilus jest programem do zarządzania plikami i graficzną powłoką
dla GNOME. Służy również bardzo dobrze jako przeglądarka stron WWW.

%description -l pt_BR.UTF-8
O nautilus é um excelente gerenciador de arquivos para o GNOME.

%package libs
Summary:	Nautilus libraries
Summary(pl.UTF-8):	Biblioteki Nautilusa
Group:		X11/Libraries

%description libs
Nautilus libraries.

%description libs -l pl.UTF-8
Biblioteki Nautilusa.

%package devel
Summary:	Libraries and include files for developing Nautilus components
Summary(pl.UTF-8):	Pliki nagłówkowe do tworzenia komponentów dla Nautilusa
Summary(pt_BR.UTF-8):	Bibliotecas e arquivos para desenvolvimento com o nautilus
Group:		X11/Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	glib2-devel >= 1:2.26.0
Requires:	gtk+2-devel >= 2:2.22.0
Requires:	libselinux-devel
Obsoletes:	eel-devel

%description devel
This package provides the necessary development libraries and include
files to allow you to develop Nautilus components.

%description devel -l pl.UTF-8
Biblioteki i pliki nagłówkowe potrzebne do programowania.

%description devel -l pt_BR.UTF-8
Este pacote fornece os arquivos necessários para desenvolvimento
utilizando componentes do nautilus.

%package static
Summary:	Static Nautilus libraries
Summary(pl.UTF-8):	Biblioteki statyczne Nautilusa
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Nautilus libraries.

%description static -l pl.UTF-8
Biblioteki statyczne Nautilusa.

%package apidocs
Summary:	Nautilus API documentation
Summary(pl.UTF-8):	Dokumentacja API Nautilusa
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
Nautilus API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API Nautilusa.

%prep
%setup -q
%patch0 -p1

sed -i -e 's#^en@shaw##' po/LINGUAS
sed -i -e 's#^io##' po/LINGUAS
rm -f po/en@shaw.po
rm -f po/io.po

%build
%{__gtkdocize}
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-static \
	--enable-packagekit \
	--%{?with_apidocs:en}%{!?with_apidocs:dis}able-gtk-doc \
	--with-html-dir=%{_gtkdocdir} \
	--disable-silent-rules \
	--disable-update-mimedb
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-2.0

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# kill it - use banner instead
install %{SOURCE1} .

%{!?with_apidocs:rm -rf $RPM_BUILD_ROOT%{_gtkdocdir}}

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_mime_database
%gconf_schema_install apps_nautilus_preferences.schemas
%update_desktop_database_post
%update_icon_cache hicolor

%preun
%gconf_schema_uninstall apps_nautilus_preferences.schemas

%postun
%update_desktop_database_postun
%update_mime_database
%update_icon_cache hicolor

%post	libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog MAINTAINERS NEWS README THANKS nautilus.PLD.readme
%attr(755,root,root) %{_bindir}/nautilus
%attr(755,root,root) %{_bindir}/nautilus-autorun-software
%attr(755,root,root) %{_bindir}/nautilus-connect-server
%attr(755,root,root) %{_bindir}/nautilus-file-management-properties
%attr(755,root,root) %{_libexecdir}/nautilus-convert-metadata
%dir %{_libdir}/nautilus
%dir %{_libdir}/nautilus/extensions-2.0
%{_datadir}/mime/packages/*.xml
%{_datadir}/nautilus
%{_desktopdir}/*.desktop
%{_iconsdir}/hicolor/*/*/nautilus.*
%{_mandir}/man1/nautilus*.1*
%{_pixmapsdir}/nautilus
%{_sysconfdir}/gconf/schemas/apps_nautilus_preferences.schemas

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libnautilus-extension.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libnautilus-extension.so.1
%{_libdir}/girepository-1.0/*.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libnautilus-extension.so
%{_includedir}/nautilus
%{_pkgconfigdir}/libnautilus-extension.pc
%{_datadir}/gir-1.0/*.gir

%files static
%defattr(644,root,root,755)
%{_libdir}/libnautilus-extension.a

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libnautilus-extension
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nautilus.spec,v $
Revision 1.236.2.2  2011/10/25 09:09:58  hawk
- fix building with glib2 2.30 and pango 1.28

Revision 1.236.2.1  2011/06/17 09:10:42  lisu
- dropped libtool file
- rel 3

Revision 1.236  2011/02/04 18:23:57  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.235  2010/12/28 21:01:52  megabajt
- updated to 2.32.2.1

Revision 1.234  2010/12/15 09:04:00  megabajt
- updated to 2.32.2

Revision 1.233  2010/11/22 15:26:23  megabajt
- P:/O: gnome-volume-manager
- release 2

Revision 1.232  2010/11/16 18:02:19  megabajt
- updated to 2.32.1

Revision 1.231  2010/09/29 09:45:50  megabajt
- updated to 2.32.0; merged changes from DEVEL

Revision 1.230.2.2  2010/09/20 00:42:03  patrys
- 2.31.92

Revision 1.230.2.1  2010/08/31 12:24:57  patrys
- 2.31.90

Revision 1.230  2010/04/30 16:58:13  blues
- rel.2 - eel is part of nautilus - obsolete it.

Revision 1.229  2010/04/26 19:15:05  megabajt
- updated to 2.30.1

Revision 1.228  2010/03/31 06:17:29  megabajt
- merged from DEVEL

Revision 1.217.2.10  2010/03/29 18:43:28  megabajt
- updated to 2.30.0

Revision 1.217.2.9  2010/02/26 20:10:01  patrys
- 2.29.91

Revision 1.227  2010/02/12 20:38:46  sparky
- dropped unused BR: docbook-utils

Revision 1.217.2.8  2010/02/12 13:39:42  megabajt
- updated to 2.29.90

Revision 1.226  2010/02/11 20:12:31  megabajt
- release 2

Revision 1.225  2010/01/15 20:18:42  sparky
- use preferred %{!?...} instead of %{?!...}

Revision 1.217.2.7  2009/12/28 14:44:05  patrys
- actually last version was 2.29.1

Revision 1.217.2.6  2009/12/28 14:43:29  patrys
- 2.29.1

Revision 1.224  2009/12/16 12:46:36  patrys
- 2.28.4

Revision 1.223  2009/12/14 18:34:21  megabajt
- updated to 2.28.3

Revision 1.222  2009/12/04 21:40:38  megabajt
- updated to 2.28.2

Revision 1.221  2009/11/16 08:59:31  zbyniu
- missing BRs/R; rel 3

Revision 1.220  2009/11/12 12:19:46  patrys
- rebuild
- rel 2

Revision 1.219  2009/10/22 21:39:13  megabajt
- updated to 2.28.1

Revision 1.218  2009/09/26 14:30:34  patrys
- merged from DEVEL

Revision 1.217.2.5  2009/09/26 14:30:15  patrys
- 2.28.0

Revision 1.217.2.4  2009/09/08 08:34:27  patrys
- 2.27.92

Revision 1.217.2.3  2009/08/26 12:30:08  patrys
- 2.27.91

Revision 1.217.2.2  2009/08/01 23:30:24  patrys
- 2.27.4

Revision 1.217.2.1  2009/06/18 15:17:48  patrys
- 2.27.2

Revision 1.217  2009/05/19 20:22:45  megabajt
- updated to 2.26.3

Revision 1.216  2009/04/13 22:20:09  megabajt
- updated to 2.26.2

Revision 1.215  2009/04/04 23:26:03  patrys
- unique -> libunique

Revision 1.214  2009/04/03 21:36:57  megabajt
- updated to 2.26.1

Revision 1.213  2009/03/30 13:28:26  megabajt
- gtkdocize have to be run even when building without apidocs (fixes lp#351549)

Revision 1.212  2009/03/16 19:03:07  megabajt
- updated to 2.26.0; merged changes from DEVEL

Revision 1.211.2.3  2009/03/12 22:18:09  megabajt
- updated to 2.25.93

Revision 1.211.2.2  2009/03/05 22:08:51  megabajt
- updated to 2.25.92

Revision 1.211.2.1  2009/02/20 22:43:08  megabajt
- updated to 2.25.91
- enabled packagekit support

Revision 1.211  2008/11/25 19:21:15  megabajt
- updated to 2.24.2

Revision 1.210  2008/11/11 14:07:33  megabajt
- release 2

Revision 1.209  2008/10/20 14:45:54  megabajt
- updated to 2.24.1

Revision 1.208  2008/09/27 14:47:54  megabajt
- updated to 2.24.0; merged changes from DEVEL

Revision 1.202.2.9  2008/09/13 09:51:20  patrys
- drop unused DND patch
- drop X-Capplet (fix applnk, not GNOME)

Revision 1.202.2.8  2008/09/04 11:06:14  patrys
- 2.23.91

Revision 1.202.2.7  2008/08/21 15:05:08  megabajt
- updated to 2.23.90

Revision 1.202.2.6  2008/08/05 14:02:05  patrys
- 2.23.6.1

Revision 1.202.2.5  2008/07/23 09:37:28  patrys
- 2.23.5.1

Revision 1.207  2008/07/12 16:36:48  megabajt
- updated to 2.22.5.1

Revision 1.206  2008/07/12 15:14:04  megabajt
- updated to 2.22.5

Revision 1.205  2008/06/30 22:13:33  megabajt
- updated to 2.22.4

Revision 1.202.2.4  2008/06/17 10:14:08  megabajt
- updated to 2.23.4

Revision 1.202.2.3  2008/06/04 13:27:47  patrys
- 2.23.3

Revision 1.204  2008/06/01 14:23:40  megabajt
- dropped ca@valencia
- release 2

Revision 1.203  2008-05-31 22:57:45  megabajt
- updated to 2.22.3

Revision 1.202.2.2  2008-05-14 14:34:23  patrys
- 2.23.2

Revision 1.202.2.1  2008-05-13 16:02:53  patrys
- 2.23.1

Revision 1.202  2008-04-08 15:06:16  megabajt
- updated to 2.22.2

Revision 1.201  2008-03-29 18:23:59  megabajt
- updated to 2.22.1
- removed obsolete -bug505111.patch

Revision 1.200  2008-03-12 20:28:05  patrys
- fix emblems (bugzilla patch)
- rel 2

Revision 1.199  2008-03-11 15:13:43  patrys
- 2.22.0
- merged from DEVEL

Revision 1.192.2.11  2008-03-11 15:07:48  patrys
- 2.22.0
- patch1 applied upstream

Revision 1.192.2.10  2008-02-28 19:10:11  megabajt
- updated to 2.21.92
- -beagle.patch applied upstream

Revision 1.192.2.9  2008-02-13 16:29:37  megabajt
- updated to 2.21.91
- added tracker bcond and -beagle.patch which fixes build with recent libbeagle

Revision 1.198  2008-02-13 06:32:03  qboosh
- sorted BRs

Revision 1.192.2.8  2008-02-12 15:10:37  patrys
- BR: libtracker-devel

Revision 1.197  2008-02-11 17:57:37  deejay1
- s/beagle-devel/libbeagle-devel/

Revision 1.196  2008-02-04 16:39:09  deejay1
- rel. 6 for new beagle

Revision 1.192.2.7  2008-02-01 21:03:59  megabajt
- updated to 2.21.90

Revision 1.192.2.6  2008-01-22 21:35:34  megabajt
- updated to 2.21.6

Revision 1.192.2.5  2008-01-14 21:08:51  megabajt
- updated to 2.21.5

Revision 1.192.2.4  2008-01-09 15:16:16  megabajt
- updated to 2.21.2

Revision 1.192.2.3  2008-01-04 17:19:59  megabajt
- updated deps
- more verbose files

Revision 1.195  2008-01-04 13:21:48  megabajt
- run autoheader

Revision 1.194  2008-01-04 12:56:10  megabajt
- added -exempi-new-api.patch
- release 5

Revision 1.193  2008-01-04 11:21:58  megabajt
- release 4

Revision 1.192.2.2  2007-12-22 21:41:12  patrys
- R: gvfs

Revision 1.192.2.1  2007-12-22 20:48:58  patrys
- 2.21.1

Revision 1.192  2007-11-10 23:31:45  megabajt
- sr@Latn -> sr@latin; release 3

Revision 1.191  2007/09/22 13:41:46  aflinta
- fixed pl translation, rel 2

Revision 1.190  2007/09/18 18:02:47  patrys
- 2.20.0

Revision 1.189.2.1  2007/08/29 06:10:32  patrys
- 2.19.91

Revision 1.189  2007/07/26 19:47:56  megabajt
- updated to 2.18.3

Revision 1.188  2007/06/04 20:00:25  qrczak
- Fixed bcond comment

Revision 1.187  2007/04/10 20:08:57  rotom
- BR: and R: fixed

Revision 1.186  2007/04/10 20:05:19  rotom
- 2.18.1

Revision 1.185  2007/03/12 16:45:09  megabajt
- updated md5

Revision 1.184  2007/03/12 16:41:09  megabajt
- updated to 2.18.0.1; merged changes from DEVEL

Revision 1.183.2.1  2007/03/02 23:13:08  megabajt
- updated to 2.17.92

Revision 1.183  2007/02/13 07:16:49  glen
- tabs in preamble

Revision 1.182  2007/02/12 00:49:12  baggins
- converted to UTF-8

Revision 1.181  2006/11/29 12:14:56  megabajt
- up to 2.16.3

Revision 1.180  2006/11/07 22:29:01  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.179  2006/10/05 22:16:18  grzegol
- package tk lang files (languages added in glibc-2.5)

Revision 1.178  2006/10/03 11:31:45  grzegol
- 2.16.1

Revision 1.177  2006/09/04 18:37:29  grzegol
- 2.16.0

Revision 1.176  2006/08/22 15:49:02  freetz
- 2.15.92.1

Revision 1.175  2006/08/21 16:49:54  freetz
- 2.15.92, updated deps

Revision 1.174  2006/08/08 21:22:14  freetz
- 2.15.91

Revision 1.173  2006/07/25 18:25:15  freetz
- 2.15.90, removed LDFLAGS, use new rpm macros

Revision 1.172  2006/07/13 19:42:27  freetz
- rel.2 for rebuild with gail-1.9.0

Revision 1.171  2006/07/12 21:20:43  freetz
- 2.15.4, updated deps, --as-needed support

Revision 1.170  2006/07/09 20:05:41  pluto
- release 2 for kill libpng12.la deps.

Revision 1.169  2006/06/12 17:51:46  freetz
- 2.15.2, more bleeding edge deps, make_open_folder_translatable.patch
  aleady included

Revision 1.168  2006/06/08 20:16:03  freetz
- typo

Revision 1.167  2006/06/08 20:07:55  freetz
- ops, 2.15.1 is released long time ago, LINGUAS problemos obsoletos,
  no locale already removed

Revision 1.166  2006/06/08 19:35:33  freetz
- added note about LINGUAS breakage

Revision 1.165  2006/06/07 20:53:22  freetz
- rel.4, bleeding edge deps, remove unsupported locale, like in eel aclocal
  breaks Makefile creation (commented out for now)

Revision 1.164  2006/05/23 21:10:39  freetz
- sync with stable branch, cut changelog

